import numpy as np
import matplotlib.pyplot as plt
from scipy import stats

def myfunc(value, slope, intercept):
  return slope * value+ intercept


y = [5,2,5,9,14,12,20,18,25,12,28,33,31,28,20]
x = np.arange(0,len(y))

slope, intercept, r, p, std_err = stats.linregress(x,y)

mymodel=myfunc(x, slope, intercept)

print("trend or slope: ", slope)
print("uncertainty of trend: ", std_err)


plt.scatter(x, y)
plt.plot(x, mymodel)

plt.savefig('plot_p1a.pdf')
plt.show()

